List Public
curl --request GET \
--url https://api.nebius.cloud/compute/v1/images/list-public \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/compute/v1/images/list-public"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/compute/v1/images/list-public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"cpuArchitecture": "UNSPECIFIED",
"description": "<string>",
"imageFamily": "<string>",
"imageFamilyHumanReadable": "<string>",
"recommendedPlatforms": [
"<string>"
],
"sourceDiskId": "<string>",
"sourceDiskSnapshotId": "<string>",
"sourceStorage": {
"bucketName": "<string>",
"objectName": "<string>"
},
"unsupportedPlatforms": {},
"unsupportedPresets": [
{
"platform": "<string>",
"preset": "<string>",
"reason": "<string>"
}
],
"version": "<string>"
},
"status": {
"imageFamilyDeprecation": {
"deprecatedAt": "2023-11-07T05:31:56Z",
"message": "<string>"
},
"minDiskSizeBytes": "<string>",
"reconciling": true,
"state": "UNSPECIFIED",
"stateDescription": "<string>",
"storageSizeBytes": "<string>"
}
}
],
"nextPageToken": "<string>"
}images
List Public
Lists all public images available in a specific region. Regions doc https://docs.nebius.com/overview/regions Public images can contain specific labels in metadata like: “os_name: Ubuntu”, “os_version: 22.04 LTS”, “linux_kernel: 5.15”, “cuda_toolkit: 13.0” “nvidia_gpu_drivers: 550”, “networking_package: OFED 23.10”
GET
/
compute
/
v1
/
images
/
list-public
List Public
Authorizations
The Authorization header expects a Bearer token.
Query Parameters
Region name (eu-north2, us-central1, eu-west1, etc.) For details, see https://docs.nebius.com/overview/regions
Was this page helpful?
⌘I